__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Set Integration User Ownership"

    def createRuntime(self):
         app.util.runSystem("chown -R %s:%s %s" % (self.cfg['INTEGRATION_USER'],
                             self.cfg['INTEGRATION_GROUP'],
                             self.cfg['TOMCAT_BASE_DIR']), self.log)
