﻿import os

import app.servicecontrol
import app.defaults
import app.health

START_TIMEOUT = 30

class ServiceController(app.servicecontrol.ServiceController):
    def isBootstrapped(self):
        cfg = app.util.getRuntimeConfiguration()
        return os.path.isdir(cfg['SUBVERSION_REPOSITORY_BASE']) or os.path.islink(cfg['SUBVERSION_REPOSITORY_BASE'])

    def getLocalContext(self):
        return ['tf_subversion_t']
